// priority: 0

// Listen to item registry event
onEvent('item.registry', event => {
	// The texture for this item has to be placed in kubejs/assets/kubejs/textures/item/test_item.png
	// If you want a custom item model, you can create one in Blockbench and put it in kubejs/assets/kubejs/models/item/test_item.json
  event.create('grass_seeds').displayName('Grass Seeds')
  event.create('piece_cobalt').displayName('Cobalt Ore Piece')
  event.create('u235').displayName('§aUranium-235')
  event.create('u238').displayName('§aUranium-238')
  event.create('u239').displayName('§aUranium-239')
  event.create('np239').displayName('§3Neptunium-239')
  event.create('pu239').displayName('§bPlutonium-239')
  event.create('pu239pellet').displayName('§bPlutonium-239 Pellet')
  event.create('plutonium_ingot').displayName('§bPlutonium Ingot')
  event.create('pyro_electrum_ingot').displayName('§6Pyro Electrum Ingot')
  event.create('pyro_dust').displayName('§6Pyro Dust')
  event.create('bio_plate').displayName('Bio Plate')
  })

  onEvent('fluid.registry', event => {
	// Basic "thin" (looks like water) fluid with cyan tint
  event.create('plastic_fluid').textureThick(0xEDF2F1).bucketColor(0xEDF2F1).displayName('Plastic Fluid')
  event.create('ice_water').textureThin(0x79a8f2).bucketColor(0x79a8f2).displayName('Ice Water')
  event.create('biomass').displayName('Biomass').textureStill('kubejs:block/bio_mass').textureFlowing('kubejs:block/bio_mass').bucketColor(0x423c2a)
  })

onEvent('block.registry', event => {
	//Register new blocks here
  event.create('ender_turf').material('organic').hardness(0.5).displayName('Ender Turf')
  })
